Bug 251780 - Hibernate succeeded, wake-up succeeded but eth0: RTL8169sc/8110sc ethernet network interface was not functional after wake-up.
Hibernate succeeded, wake-up succeeded but eth0: RTL8169sc/8110sc ethernet ne...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 01:34 EDT by c.h.
Modified: 2008-02-15 21:35 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 21:35:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description c.h. 2007-08-11 01:34:13 EDT
Description of problem:

Hibernate succeeded, wake-up succeeded but eth0: RTL8169sc/8110sc ethernet
network interface was not functional after wake-up.

 uname -a
Linux localhost.localdomain 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:21:43 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux

pm-utils-0.99.3-6.fc7

CPU Intel Q6600 Stepping G0
Motherboard ASUS P5K-Deluxe-Wifi Intel P35 Bearlake chipset ICH9R BIOS 0501 Beta


Version-Release number of selected component (if applicable):


pm-utils-0.99.3-6.fc7

How reproducible:


Steps to Reproduce:
1. Operate FC7 normally / reliably using the ethernet et. al.
2. Hibernate.
3. Wake-up, see Fedora 7 (with all available updates applied) resume
properly, login, find that eth0 is uncommunicative.
  
Actual results:


Expected results:


Additional info:

Symptoms: LINK light NOT present on motherboard NIC nor on switch port
it's plugged into after failure.

When packets were sent through the unresponsive interface, I could watch
the motherboard's network activity amber LED for eth0 blink as transmission
attempts were happening, but the green LINK light was NOT illuminated.

Tried multiple System -> Admin -> Network
"Deactivate" and "Activate" cycles on eth0 after it wasn't
functioning post-wake-up.  None were effective.

Tried removing and replacing the ethernet cable, and jacking it into
another port on the GbE switch, no use.

Tried ifconfig eth0 down ; ifconfig eth0 up ; tried ifconfig eth0 with
media type options; no use.

manually tried
modprobe -r eth0
modprobe eth0
ifup eth0
and shortly thereafter the ethernet port came back into service,
LINK light illuminated, DHCP succeeded, and connectivity was restored.
I was trying many different commands to see if I could restore service,
and I've already commented on what appeared to be repeatedly ineffectual;
I don't recall that I tried anything noteworthy other than the ones
I mentioned.

pci 0000:00:00.0: EARLY resume
pcieport-driver 0000:00:01.0: EARLY resume
uhci_hcd 0000:00:1a.0: EARLY resume
uhci_hcd 0000:00:1a.1: EARLY resume
uhci_hcd 0000:00:1a.2: EARLY resume
ehci_hcd 0000:00:1a.7: EARLY resume
HDA Intel 0000:00:1b.0: EARLY resume
pcieport-driver 0000:00:1c.0: EARLY resume
pcieport-driver 0000:00:1c.4: EARLY resume
pcieport-driver 0000:00:1c.5: EARLY resume
uhci_hcd 0000:00:1d.0: EARLY resume
uhci_hcd 0000:00:1d.1: EARLY resume
uhci_hcd 0000:00:1d.2: EARLY resume
ehci_hcd 0000:00:1d.7: EARLY resume
pci 0000:00:1e.0: EARLY resume
pci 0000:00:1f.0: EARLY resume
ata_piix 0000:00:1f.2: EARLY resume
i801_smbus 0000:00:1f.3: EARLY resume
ata_piix 0000:00:1f.5: EARLY resume
nvidia 0000:01:00.0: EARLY resume
ahci 0000:03:00.0: EARLY resume
pata_jmicron 0000:03:00.1: EARLY resume
sky2 0000:02:00.0: EARLY resume
C-Media PCI 0000:05:01.0: EARLY resume
firewire_ohci 0000:05:03.0: EARLY resume
r8169 0000:05:04.0: EARLY resume
platform pcspkr: EARLY resume
platform vesafb.0: EARLY resume
serial8250 serial8250: EARLY resume
i8042 i8042: EARLY resume
platform bluetooth: EARLY resume
coretemp coretemp.0: EARLY resume
PM: Image restored successfully.
Enabling non-boot CPUs ...
SMP alternatives: switching to SMP code
Booting processor 1/4 APIC 0x1
Initializing CPU#1
Calibrating delay using timer specific routine.. 4810.87 BogoMIPS (lpj=2405438)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 1/1 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 1
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#1]: passed.
kvm: enabling virtualization on CPU1
coretemp coretemp.1: Using undocumented features, absolute temperature might be
wrong!
CPU1 is up
SMP alternatives: switching to SMP code
Booting processor 2/4 APIC 0x2
Initializing CPU#2
Calibrating delay using timer specific routine.. 4810.91 BogoMIPS (lpj=2405455)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 2/2 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 2
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#0 -> CPU#2]: passed.
kvm: enabling virtualization on CPU2
coretemp coretemp.2: Using undocumented features, absolute temperature might be
wrong!
CPU2 is up
SMP alternatives: switching to SMP code
Booting processor 3/4 APIC 0x3
Initializing CPU#3
Calibrating delay using timer specific routine.. 4810.34 BogoMIPS (lpj=2405173)
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 4096K
CPU 3/3 -> Node 0
CPU: Physical Processor ID: 0
CPU: Processor Core ID: 3
Intel(R) Core(TM)2 Quad CPU    Q6600  @ 2.40GHz stepping 0b
checking TSC synchronization [CPU#2 -> CPU#3]: passed.
kvm: enabling virtualization on CPU3
coretemp coretemp.3: Using undocumented features, absolute temperature might be
wrong!
CPU3 is up
acpi acpi_system:00: resuming
button button_power:00: resuming
processor ACPI0007:00: resuming
processor ACPI0007:01: resuming
processor ACPI0007:02: resuming
processor ACPI0007:03: resuming
acpi device:00: resuming
pci_root PNP0A08:00: resuming
acpi PNP0C01:00: resuming
acpi device:01: resuming
acpi device:02: resuming
acpi device:03: resuming
acpi PNP0000:00: resuming
acpi PNP0200:00: resuming
acpi PNP0100:00: resuming
acpi PNP0B00:00: resuming
acpi PNP0800:00: resuming
acpi PNP0C04:00: resuming
acpi PNP0C02:00: resuming
acpi PNP0C02:01: resuming
acpi ATK0110:00: resuming
acpi PNP0103:00: resuming
acpi PNP0501:00: resuming
acpi PNP0C02:02: resuming
acpi PNP0303:00: resuming
acpi PNP0C02:03: resuming
acpi device:04: resuming
acpi device:05: resuming
acpi device:06: resuming
acpi device:07: resuming
acpi device:08: resuming
acpi device:09: resuming
acpi device:0a: resuming
acpi device:0b: resuming
acpi device:0c: resuming
acpi device:0d: resuming
acpi device:0e: resuming
acpi device:0f: resuming
acpi device:10: resuming
acpi device:11: resuming
acpi device:12: resuming
acpi device:13: resuming
acpi device:14: resuming
acpi device:15: resuming
acpi device:16: resuming
acpi device:17: resuming
acpi device:18: resuming
acpi device:19: resuming
acpi device:1a: resuming
acpi device:1b: resuming
acpi device:1c: resuming
acpi device:1d: resuming
acpi device:1e: resuming
acpi device:1f: resuming
acpi device:20: resuming
acpi device:21: resuming
acpi device:22: resuming
acpi device:23: resuming
acpi device:24: resuming
acpi device:25: resuming
acpi device:26: resuming
acpi device:27: resuming
acpi device:28: resuming
acpi device:29: resuming
acpi device:2a: resuming
acpi device:2b: resuming
acpi device:2c: resuming
acpi device:2d: resuming
acpi device:2e: resuming
acpi device:2f: resuming
acpi PNP0C32:00: resuming
acpi PNP0C01:01: resuming
button PNP0C0C:00: resuming
pci_link PNP0C0F:00: resuming
pci_link PNP0C0F:01: resuming
pci_link PNP0C0F:02: resuming
pci_link PNP0C0F:03: resuming
pci_link PNP0C0F:04: resuming
pci_link PNP0C0F:05: resuming
pci_link PNP0C0F:06: resuming
pci_link PNP0C0F:07: resuming
acpi thermal:00: resuming
pci 0000:00:00.0: resuming
pcieport-driver 0000:00:01.0: resuming
PCI: Setting latency timer of device 0000:00:01.0 to 64
uhci_hcd 0000:00:1a.0: resuming
ACPI: PCI Interrupt 0000:00:1a.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:00:1a.0 to 64
usb usb1: root hub lost power or was reset
uhci_hcd 0000:00:1a.1: resuming
ACPI: PCI Interrupt 0000:00:1a.1[B] -> GSI 21 (level, low) -> IRQ 21
PCI: Setting latency timer of device 0000:00:1a.1 to 64
usb usb2: root hub lost power or was reset
uhci_hcd 0000:00:1a.2: resuming
ACPI: PCI Interrupt 0000:00:1a.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1a.2 to 64
usb usb3: root hub lost power or was reset
ehci_hcd 0000:00:1a.7: resuming
ACPI: PCI Interrupt 0000:00:1a.7[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1a.7 to 64
usb usb7: root hub lost power or was reset
ehci_hcd 0000:00:1a.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1a.7
HDA Intel 0000:00:1b.0: resuming
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1b.0 to 64
pcieport-driver 0000:00:1c.0: resuming
PCI: Setting latency timer of device 0000:00:1c.0 to 64
pcieport-driver 0000:00:1c.4: resuming
PCI: Setting latency timer of device 0000:00:1c.4 to 64
pcieport-driver 0000:00:1c.5: resuming
PCI: Setting latency timer of device 0000:00:1c.5 to 64
uhci_hcd 0000:00:1d.0: resuming
ACPI: PCI Interrupt 0000:00:1d.0[A] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.0 to 64
usb usb4: root hub lost power or was reset
uhci_hcd 0000:00:1d.1: resuming
ACPI: PCI Interrupt 0000:00:1d.1[B] -> GSI 19 (level, low) -> IRQ 19
PCI: Setting latency timer of device 0000:00:1d.1 to 64
usb usb5: root hub lost power or was reset
uhci_hcd 0000:00:1d.2: resuming
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 18
PCI: Setting latency timer of device 0000:00:1d.2 to 64
usb usb6: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: resuming
ACPI: PCI Interrupt 0000:00:1d.7[A] -> GSI 23 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.7 to 64
usb usb8: root hub lost power or was reset
ehci_hcd 0000:00:1d.7: debug port 1
PCI: cache line size of 32 is not supported by device 0000:00:1d.7
pci 0000:00:1e.0: resuming
PCI: Setting latency timer of device 0000:00:1e.0 to 64
pci 0000:00:1f.0: resuming
ata_piix 0000:00:1f.2: resuming
ACPI: PCI Interrupt 0000:00:1f.2[B] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1f.2 to 64
i801_smbus 0000:00:1f.3: resuming
ata_piix 0000:00:1f.5: resuming
ACPI: PCI Interrupt 0000:00:1f.5[B] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1f.5 to 64
nvidia 0000:01:00.0: resuming
NVRM: RmPowerManagement: 4
ata4.00: configured for UDMA/133
sd 3:0:0:0: [sdc] 976773168 512-byte hardware sectors (500108 MB)
sd 3:0:0:0: [sdc] Write Protect is off
sd 3:0:0:0: [sdc] Mode Sense: 00 3a 00 00
sd 3:0:0:0: [sdc] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
ata3.00: configured for UDMA/133
sd 2:0:0:0: [sdb] 976773168 512-byte hardware sectors (500108 MB)
sd 2:0:0:0: [sdb] Write Protect is off
sd 2:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 2:0:0:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
ahci 0000:03:00.0: resuming
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 16 (level, low) -> IRQ 16
PCI: Setting latency timer of device 0000:03:00.0 to 64
pata_jmicron 0000:03:00.1: resuming
ACPI: PCI Interrupt 0000:03:00.1[B] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.1 to 64
sky2 0000:02:00.0: resuming
C-Media PCI 0000:05:01.0: resuming
ACPI: PCI Interrupt 0000:05:01.0[A] -> GSI 17 (level, low) -> IRQ 17
firewire_ohci 0000:05:03.0: resuming
r8169 0000:05:04.0: resuming
pnp 00:00: resuming
system 00:01: resuming
pnp 00:02: resuming
rtc_cmos 00:03: resuming
pnp 00:04: resuming
pnp 00:05: resuming
system 00:06: resuming
system 00:07: resuming
pnp 00:08: resuming
serial 00:09: resuming
pnp: Device 00:09 activated.
system 00:0a: resuming
i8042 kbd 00:0b: resuming
pnp: Failed to activate device 00:0b.
system 00:0c: resuming
system 00:0d: resuming
platform pcspkr: resuming
pci_express 0000:00:01.0:pcie00: resuming
pci_express 0000:00:1c.0:pcie00: resuming
pci_express 0000:00:1c.0:pcie02: resuming
pci_express 0000:00:1c.4:pcie00: resuming
pci_express 0000:00:1c.4:pcie02: resuming
pci_express 0000:00:1c.5:pcie00: resuming
pci_express 0000:00:1c.5:pcie02: resuming
platform vesafb.0: resuming
serial8250 serial8250: resuming
i8042 i8042: resuming
serio serio0: resuming
serio serio1: resuming
usb usb1: resuming
hub 1-0:1.0: resuming
usb usb2: resuming
hub 2-0:1.0: resuming
usb usb3: resuming
ata1.00: configured for UDMA/100
sd 0:0:0:0: [sda] 234441648 512-byte hardware sectors (120034 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
hub 3-0:1.0: resuming
usb usb4: resuming
hub 4-0:1.0: resuming
usb usb5: resuming
hub 5-0:1.0: resuming
usb usb6: resuming
hub 6-0:1.0: resuming
usb usb7: resuming
ata8: SATA link down (SStatus 0 SControl 300)
ata7: SATA link down (SStatus 0 SControl 300)
hub 7-0:1.0: resuming
usb usb8: resuming
hub 8-0:1.0: resuming
usb 7-3: resuming
usb_endpoint usbdev7.2_ep00: PM: resume from 0, parent 7-3 still 1
rtl8187 7-3:1.0: PM: resume from 1, parent 7-3 still 1
rtl8187 7-3:1.0: resuming
usb_endpoint usbdev7.2_ep81: PM: resume from 0, parent 7-3:1.0 still 1
usb_endpoint usbdev7.2_ep02: PM: resume from 0, parent 7-3:1.0 still 1
usb_endpoint usbdev7.2_ep03: PM: resume from 0, parent 7-3:1.0 still 1
usb_device usbdev7.2: PM: resume from 0, parent 7-3 still 1
sd 0:0:0:0: resuming
sd 0:0:0:0: [sda] Starting disk
sd 2:0:0:0: resuming
sd 2:0:0:0: [sdb] Starting disk
sd 3:0:0:0: resuming
sd 3:0:0:0: [sdc] Starting disk
rtc rtc0: class resume
ieee80211 phy0: PM: resume from 0, parent 7-3:1.0 still 1
net wmaster0: PM: resume from 0, parent 7-3:1.0 still 1
net wlan0: PM: resume from 0, parent 7-3:1.0 still 1
platform bluetooth: resuming
w83627ehf 9191-0290: resuming
coretemp coretemp.0: resuming
usb 8-3: resuming
usb_endpoint usbdev8.5_ep00: PM: resume from 0, parent 8-3 still 1
usb-storage 8-3:1.0: PM: resume from 1, parent 8-3 still 1
usb-storage 8-3:1.0: resuming
 host11: PM: resume from 0, parent 8-3:1.0 still 1
usb_endpoint usbdev8.5_ep81: PM: resume from 0, parent 8-3:1.0 still 1
usb_endpoint usbdev8.5_ep01: PM: resume from 0, parent 8-3:1.0 still 1
usb_device usbdev8.5: PM: resume from 0, parent 8-3 still 1
sd 11:0:0:0: resuming
usb 4-2: resuming
usb_endpoint usbdev4.26_ep00: PM: resume from 0, parent 4-2 still 1
hub 4-2:1.0: PM: resume from 1, parent 4-2 still 1
hub 4-2:1.0: resuming
usb_endpoint usbdev4.26_ep81: PM: resume from 0, parent 4-2:1.0 still 1
usb_device usbdev4.26: PM: resume from 0, parent 4-2 still 1
usb 4-2.2: PM: resume from 1, parent 4-2 still 1
usb 4-2.2: resuming
usb_endpoint usbdev4.27_ep00: PM: resume from 0, parent 4-2.2 still 1
hub 4-2.2:1.0: PM: resume from 1, parent 4-2.2 still 1
hub 4-2.2:1.0: resuming
usb_endpoint usbdev4.27_ep81: PM: resume from 0, parent 4-2.2:1.0 still 1
usb_device usbdev4.27: PM: resume from 0, parent 4-2.2 still 1
usb 4-2.3: PM: resume from 1, parent 4-2 still 1
usb 4-2.3: resuming
usb_endpoint usbdev4.28_ep00: PM: resume from 0, parent 4-2.3 still 1
usbhid 4-2.3:1.0: PM: resume from 1, parent 4-2.3 still 1
usbhid 4-2.3:1.0: resuming
usb_endpoint usbdev4.28_ep81: PM: resume from 0, parent 4-2.3:1.0 still 1
usb_device usbdev4.28: PM: resume from 0, parent 4-2.3 still 1
usb 4-2.4: PM: resume from 1, parent 4-2 still 1
usb 4-2.4: resuming
usb_endpoint usbdev4.29_ep00: PM: resume from 0, parent 4-2.4 still 1
hub 4-2.4:1.0: PM: resume from 1, parent 4-2.4 still 1
hub 4-2.4:1.0: resuming
usb_endpoint usbdev4.29_ep81: PM: resume from 0, parent 4-2.4:1.0 still 1
usb_device usbdev4.29: PM: resume from 0, parent 4-2.4 still 1
usb 4-2.2.1: PM: resume from 1, parent 4-2.2 still 1
usb 4-2.2.1: resuming
usb_endpoint usbdev4.30_ep00: PM: resume from 0, parent 4-2.2.1 still 1
usbhid 4-2.2.1:1.0: PM: resume from 1, parent 4-2.2.1 still 1
usbhid 4-2.2.1:1.0: resuming
usb_endpoint usbdev4.30_ep81: PM: resume from 0, parent 4-2.2.1:1.0 still 1
usbhid 4-2.2.1:1.1: PM: resume from 1, parent 4-2.2.1 still 1
usbhid 4-2.2.1:1.1: resuming
usb_endpoint usbdev4.30_ep82: PM: resume from 0, parent 4-2.2.1:1.1 still 1
usb_device usbdev4.30: PM: resume from 0, parent 4-2.2.1 still 1
usb 4-2.4.1: PM: resume from 1, parent 4-2.4 still 1
usb 4-2.4.1: resuming
usb_endpoint usbdev4.31_ep00: PM: resume from 0, parent 4-2.4.1 still 1
hub 4-2.4.1:1.0: PM: resume from 1, parent 4-2.4.1 still 1
hub 4-2.4.1:1.0: resuming
usb_endpoint usbdev4.31_ep81: PM: resume from 0, parent 4-2.4.1:1.0 still 1
usb_device usbdev4.31: PM: resume from 0, parent 4-2.4.1 still 1
usb 4-2.4.2: PM: resume from 1, parent 4-2.4 still 1
usb 4-2.4.2: resuming
usb_endpoint usbdev4.32_ep00: PM: resume from 0, parent 4-2.4.2 still 1
usb-storage 4-2.4.2:1.0: PM: resume from 1, parent 4-2.4.2 still 1
usb-storage 4-2.4.2:1.0: resuming
 host12: PM: resume from 0, parent 4-2.4.2:1.0 still 1
usb_endpoint usbdev4.32_ep02: PM: resume from 0, parent 4-2.4.2:1.0 still 1
usb_endpoint usbdev4.32_ep82: PM: resume from 0, parent 4-2.4.2:1.0 still 1
usb_device usbdev4.32: PM: resume from 0, parent 4-2.4.2 still 1
usb 4-2.4.1.3: PM: resume from 1, parent 4-2.4.1 still 1
usb 4-2.4.1.3: resuming
usb_endpoint usbdev4.33_ep00: PM: resume from 0, parent 4-2.4.1.3 still 1
usbhid 4-2.4.1.3:1.0: PM: resume from 1, parent 4-2.4.1.3 still 1
usbhid 4-2.4.1.3:1.0: resuming
usb_endpoint usbdev4.33_ep81: PM: resume from 0, parent 4-2.4.1.3:1.0 still 1
usb_device usbdev4.33: PM: resume from 0, parent 4-2.4.1.3 still 1
sd 12:0:0:0: resuming
sd 12:0:0:1: resuming
sd 12:0:0:2: resuming
sd 12:0:0:3: resuming
Restarting tasks ... done.
swsusp: Basic memory bitmaps freed
usb 4-2: USB disconnect, address 26
usb 4-2.2: USB disconnect, address 27
usb 4-2.2.1: USB disconnect, address 30
usb 4-2.3: USB disconnect, address 28
usb 4-2.4: USB disconnect, address 29
usb 4-2.4.1: USB disconnect, address 31
usb 4-2.4.1.3: USB disconnect, address 33
usb 4-2.4.2: USB disconnect, address 32
usb 7-3: USB disconnect, address 2
usb 7-3: new high speed USB device using ehci_hcd and address 3
usb 7-3: configuration #1 chosen from 1 choice
wmaster0: Selected rate control algorithm 'simple'
phy1: hwaddr xx:xx:xx:xx:xx:xx, rtl8187 V1 + rtl8225z2
usb 8-3: USB disconnect, address 5
usb 8-3: new high speed USB device using ehci_hcd and address 8
usb 8-3: configuration #1 chosen from 1 choice
scsi14 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 14:0:0:0: Direct-Access     SanDisk  Cruzer Mini      0.2  PQ: 0 ANSI: 2
sd 14:0:0:0: [sdd] 2001888 512-byte hardware sectors (1025 MB)
sd 14:0:0:0: [sdd] Write Protect is off
sd 14:0:0:0: [sdd] Mode Sense: 03 00 00 00
sd 14:0:0:0: [sdd] Assuming drive cache: write through
sd 14:0:0:0: [sdd] 2001888 512-byte hardware sectors (1025 MB)
sd 14:0:0:0: [sdd] Write Protect is off
sd 14:0:0:0: [sdd] Mode Sense: 03 00 00 00
sd 14:0:0:0: [sdd] Assuming drive cache: write through
 sdd: sdd1
sd 14:0:0:0: [sdd] Attached SCSI removable disk
sd 14:0:0:0: Attached scsi generic sg3 type 0
usb 4-2: new full speed USB device using uhci_hcd and address 34
usb 4-2: configuration #1 chosen from 1 choice
hub 4-2:1.0: USB hub found
hub 4-2:1.0: 4 ports detected
usb 4-2.2: new full speed USB device using uhci_hcd and address 35
usb 4-2.2: configuration #1 chosen from 1 choice
hub 4-2.2:1.0: USB hub found
hub 4-2.2:1.0: 4 ports detected
usb 4-2.3: new low speed USB device using uhci_hcd and address 36
usb 4-2.3: configuration #1 chosen from 1 choice
input: PATEN Creative Fatal1ty 1010 Mouse as /class/input/input19
input: USB HID v1.10 Mouse [PATEN Creative Fatal1ty 1010 Mouse] on
usb-0000:00:1d.0-2.3
usb 4-2.4: new full speed USB device using uhci_hcd and address 37
usb 4-2.4: not running at top speed; connect to a high speed hub
usb 4-2.4: configuration #1 chosen from 1 choice
hub 4-2.4:1.0: USB hub found
hub 4-2.4:1.0: 2 ports detected
usb 4-2.2.1: new low speed USB device using uhci_hcd and address 38
usb 4-2.2.1: configuration #1 chosen from 1 choice
input: Microsoft Internet Keyboard Pro as /class/input/input20
input: USB HID v1.10 Keyboard [Microsoft Internet Keyboard Pro] on
usb-0000:00:1d.0-2.2.1
input: Microsoft Internet Keyboard Pro as /class/input/input21
input: USB HID v1.10 Device [Microsoft Internet Keyboard Pro] on
usb-0000:00:1d.0-2.2.1
usb 4-2.4.1: new full speed USB device using uhci_hcd and address 39
usb 4-2.4.1: not running at top speed; connect to a high speed hub
usb 4-2.4.1: configuration #1 chosen from 1 choice
hub 4-2.4.1:1.0: USB hub found
hub 4-2.4.1:1.0: 4 ports detected
usb 4-2.4.2: new full speed USB device using uhci_hcd and address 40
usb 4-2.4.2: not running at top speed; connect to a high speed hub
usb 4-2.4.2: configuration #1 chosen from 1 choice
scsi15 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 40
usb-storage: waiting for device to settle before scanning
usb 4-2.4.1.3: new low speed USB device using uhci_hcd and address 41
usb 4-2.4.1.3: configuration #1 chosen from 1 choice
input: Microsoft Microsoft Wireless Optical Mouse<AE> 1.0A as /class/input/input22
input: USB HID v1.11 Mouse [Microsoft Microsoft Wireless Optical Mouse<AE> 1.0A]
on usb-0000:00:1d.0-2.4.1.3
usb-storage: device scan complete
scsi 15:0:0:0: Direct-Access     SMSC     223 U HS-CF      3.60 PQ: 0 ANSI: 0
scsi 15:0:0:1: Direct-Access     SMSC     223 U HS-MS      3.60 PQ: 0 ANSI: 0
scsi 15:0:0:2: Direct-Access     SMSC     223 U HS-SM      3.60 PQ: 0 ANSI: 0
scsi 15:0:0:3: Direct-Access     SMSC     223 U HS-SD/MMC  3.60 PQ: 0 ANSI: 0
sd 15:0:0:0: [sde] Attached SCSI removable disk
sd 15:0:0:0: Attached scsi generic sg4 type 0
sd 15:0:0:1: [sdf] Attached SCSI removable disk
sd 15:0:0:1: Attached scsi generic sg5 type 0
sd 15:0:0:2: [sdg] Attached SCSI removable disk
sd 15:0:0:2: Attached scsi generic sg6 type 0
sd 15:0:0:3: [sdh] Attached SCSI removable disk
sd 15:0:0:3: Attached scsi generic sg7 type 0
r8169: eth0: link up
eth0: no IPv6 routers present
r8169: eth0: link up
eth0: no IPv6 routers present
r8169: eth0: link up
eth0: no IPv6 routers present
r8169: eth0: link up
r8169: eth0: link up
eth0: no IPv6 routers present
...
ACPI: PCI interrupt for device 0000:05:04.0 disabled
r8169 Gigabit Ethernet driver 2.2LK-NAPI loaded
ACPI: PCI Interrupt 0000:05:04.0[A] -> GSI 16 (level, low) -> IRQ 16
eth0: RTL8169sc/8110sc at 0xffffc20002758c00, xx:xx:xx:xx:xx:xx, IRQ 16
r8169: eth0: link down
ADDRCONF(NETDEV_UP): eth0: link is not ready
r8169: eth0: link up
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present
...

  376  man ifconfig
  377  ifconfig eth0 down
  378  ifconfig eth0 media auto
  379  ifconfig eth0 up ; echo media auto
  380  ifconfig eth0 media auto
...
  192  modprobe -r eth0
  193  modprobe  eth0
Comment 1 Till Maas 2007-09-27 16:45:20 EDT
Imho this is a kernel bug, you may workaround this problem with adding a file
that contains

SUSPEND_MODULES="r8169"

to /etc/pm/config.d
This makes pm-utils remove and load the relevant kernel module. You may also
need to run "ifup eth0" after thaw, to reconfigure the network device.
Comment 2 Christopher Brown 2008-01-10 15:18:49 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Christopher Brown 2008-02-15 21:35:12 EST
Closing as per previous comment. Please re-open if this is still an issue for you.

Note You need to log in before you can comment on or make changes to this bug.